import json
import jsonschema
from compendium_v2.routes.staff import STAFF_RESPONSE_SCHEMA


def test_staff_response(client, test_staff_data):
    rv = client.get(
        '/api/staff/',
        headers={'Accept': ['application/json']})
    assert rv.status_code == 200
    result = json.loads(rv.data.decode('utf-8'))
    jsonschema.validate(result, STAFF_RESPONSE_SCHEMA)
    assert result
