import React, { ReactElement } from "react";

import SidebarProvider from "./helpers/SidebarProvider";
import UserProvider from "./shared/UserProvider";


function Providers({ children }): ReactElement {
    return (
        <SidebarProvider>
            <UserProvider>
                {children}
            </UserProvider>
        </SidebarProvider>
    );
}

export default Providers;
