import json
import jsonschema
from compendium_v2.routes.ec_projects import EC_PROJECTS_RESPONSE_SCHEMA


def test_ec_project_response(client, test_ec_project_data):
    rv = client.get(
        '/api/ec-project/',
        headers={'Accept': ['application/json']})
    assert rv.status_code == 200
    result = json.loads(rv.data.decode('utf-8'))
    jsonschema.validate(result, EC_PROJECTS_RESPONSE_SCHEMA)
    assert result
